summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorGravatar Martin Szulecki2009-03-19 22:52:58 +0100
committerGravatar Martin Szulecki2009-03-19 22:52:58 +0100
commit2a7a82094d50b75380b9858eae5eb41ed169378d (patch)
tree48e84c870df9a5211de593911d36524cf5913821 /autogen.sh
downloadgfax-2a7a82094d50b75380b9858eae5eb41ed169378d.tar.gz
gfax-2a7a82094d50b75380b9858eae5eb41ed169378d.tar.bz2
Initial import of gfax 0.7.7
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..387dc65
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="gfax"
+
+(test -f $srcdir/configure.in \
+ && test -f $srcdir/ChangeLog \
+ && test -d $srcdir/src) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level gfax directory"
+ exit 1
+}
+
+
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from the GNOME CVS"
+ exit 1
+}
+USE_GNOME2_MACROS=1 . gnome-autogen.sh